Index: /trunk/SophyaPI/DemoPIApp/CONTENT
===================================================================
--- /trunk/SophyaPI/DemoPIApp/CONTENT	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/CONTENT	(revision 4073)
@@ -1,6 +1,6 @@
 ====== SOPHYA/piapp demo scripts and programs ======
 ===============================================================
-              (C) LAL-IN2P3/CNRS   1998-2007 
-              (C) DAPNIA/CEA       1998-2007
+       (C) LAL / Univ. Paris Sud, CNRS/IN2P3   1998-2012 
+       (C) IRFU-SPP/CEA                        1998-2012
 ===============================================================
 
@@ -36,14 +36,19 @@
 7/ pnbpays.pic : How to make and draw a bargraph
 
-8/ resonance.pic : How to make complex plots/drawings , in this case
+8/ polarplot.pic : Example for creating and filling an NTuple 
+  with suitable data for plot in polar coordinates using the interpreter 
+  and examples of plot in polar coordinates
+piapp> exec polarplot  
+
+9/ resonance.pic : How to make complex plots/drawings , in this case
    the resonance curve of an harmonic oscillator, using the piapp 
    scripting capabilities
 
-9/ oh_xva_spring.pic : An other example of complex drawing ...
+10/ oh_xva_spring.pic : An other example of complex drawing ...
 
-10/ user.cc : example of function which can be called from piapp
-10.a/ Create the shared/loadable object user.so
+11/ user.cc : example of function which can be called from piapp
+11.a/ Create the shared/loadable object user.so
 csh> make user.so
-10.b/ in piapp, link the module and call the function
+11.b/ in piapp, link the module and call the function
 piapp> link user.so user
 piapp> call user
@@ -58,11 +63,11 @@
 piapp capabilities can be extended using loadable modules
 
-11/ exmod.pic , exmodule.cc 
-11.a/ Create the loadable module exmodule.so 
+12/ exmod.pic , exmodule.cc 
+12.a/ Create the loadable module exmodule.so 
 csh> make exmodule.so 
-11.b/ Execute the script exmod.pic 
+12.b/ Execute the script exmod.pic 
   ---> new commands are added to piapp
 
-12/ exmoddrw.pic exmoddrw.cc 
+13/ exmoddrw.pic exmoddrw.cc 
 csh> make exmoddrw.so 
  in piapp> exec exmoddrw.pic
Index: /trunk/SophyaPI/DemoPIApp/addelts.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/addelts.pic	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/addelts.pic	(revision 4073)
@@ -1,2 +1,10 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
+### addelts.pic : demo script showing the possibilities to adding 
+###     text and graphical elements to plots 
+################################################################
 #  Drawing a gaussian using the predefined limits and no default title  
 #  with Defining the 2D plot limits
Index: /trunk/SophyaPI/DemoPIApp/axel.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/axel.pic	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/axel.pic	(revision 4073)
@@ -1,2 +1,10 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
+### axel.pic : piapp demo script illustrating some of the 
+###   graphic possibilities for the axes 
+################################################################
 openppf demo.ppf
 zone 1
Index: /trunk/SophyaPI/DemoPIApp/demo.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/demo.pic	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/demo.pic	(revision 4073)
@@ -1,2 +1,10 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
+### demo.pic : piapp demo script 
+################################################################
+
 #   macro de commande piapp -  Exemple de demo
 #  Mode Trace -> On 
Index: /trunk/SophyaPI/DemoPIApp/multicurve.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/multicurve.pic	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/multicurve.pic	(revision 4073)
@@ -1,2 +1,9 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
+### multicurve.pic : piapp demo script 
+#################################################################  
 #  ---- multicurve.pic -----
 # Trace de courbes multiples en utilisant les
Index: /trunk/SophyaPI/DemoPIApp/pnbpays.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/pnbpays.pic	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/pnbpays.pic	(revision 4073)
@@ -1,2 +1,9 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
+### pnbpays.pic : piapp demo script 
+################################################################# 
 #  Script de demo piapp 
 #  Representation du PNB (en $, 2003) pour quelques pays
Index: /trunk/SophyaPI/DemoPIApp/polarplot.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/polarplot.pic	(revision 4073)
+++ /trunk/SophyaPI/DemoPIApp/polarplot.pic	(revision 4073)
@@ -0,0 +1,53 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
+### polarplot.pic : SOPHYA/piapp demo script 
+###   NTuple creation & filling through the interpreter 
+###   to prepare data suitable for plot in polar coordinates 
+################################################################
+# 1- default axe attributes 
+setaxesatt 'font=helvetica,bold,16 fixedfontsize'
+# 2.a First NTuple creation and filling (angle-radius)
+del ntpol ntpole
+newnt ntpol angle reponse 
+AMP = 12.
+# 2.b  interpreter loop on angular values in degree 
+for ang -90.:270.:0.5 
+  x = fabs(3.*(ang-90.)*Pi/180.)
+  if ( $x < 1.e-9 ) then 
+    rep = AMP
+  else 
+    y = sin(x)/x 
+    rep = AMP*y*y*(1+x)
+  endif
+  line2nt ntpol $ang $rep
+end
+# 3.a second NTuple creation anf filling (angle-radius+errors)
+del ntpole
+newnt ntpole angle reponse err_ang err_rep
+# 3.b  interpreter loop on angular values in degree 
+for ang 0.:180.:3. 
+  x = fabs(3.*(ang-90.)*Pi/180.)
+  if ( $x < 1.e-9 ) then 
+    rep = AMP
+  else 
+    y = sin(x)/x 
+    rep = AMP*y*y*(1+x)
+  endif
+  errang = fabs(gaurand()*5.)  
+  errrep = fabs(gaurand()*2.)
+  line2nt ntpole $ang $rep $errang $errrep
+end
+# 4.a Plot in cartesian coordinates 
+print ntpol
+print ntpole 
+zone 1 2 
+nt2d ntpol angle reponse - - - - 'cpts'
+nt2d ntpole angle reponse err_ang err_rep - - 'marker=circle,7'
+# 4.b Plot in polar coordinates in two windows 
+newwin 2 1 800 400 
+nt2d ntpol angle reponse - - - - 'polarplot polarangledeg notit red line=solid,2 nsta cpts'
+nt2d ntpole angle reponse err_ang err_rep - - 'polarplot polarangledeg notit blue marker=circle,7 line=solid,1 nsta'
+# nt2d ntpol angle reponse - - - - 'notit red line=solid,2 nsta cpts polarangledeg polaraxes=9,8'
Index: /trunk/SophyaPI/DemoPIApp/resonance.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/resonance.pic	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/resonance.pic	(revision 4073)
@@ -1,2 +1,7 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
 #  Cours S1SM - Oscillateur harmonique - Courbe de resonance 
 #          Variation en fonction de la courbe d'amortissement
Index: /trunk/SophyaPI/DemoPIApp/tarc.pic
===================================================================
--- /trunk/SophyaPI/DemoPIApp/tarc.pic	(revision 4072)
+++ /trunk/SophyaPI/DemoPIApp/tarc.pic	(revision 4073)
@@ -1,2 +1,10 @@
+################################################################
+### SOPHYA class library - piapp interactive analysis tool 
+### (C) LAL / Univ. Paris Sud, CNRS/IN2P3    1998-2012 
+### (C) IRFU-SPP / CEA                       1998-2012 
+################################################################
+### tarc.pic : piapp demo script illustrating aome of the 
+###   possibilities for adding graphic elements 
+################################################################# 
 #  ---------- tarc.pic -----------
 #  Essai de trace d'elements graphiques