Index: /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/project.pbxproj
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/project.pbxproj	(revision 4081)
+++ /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/project.pbxproj	(revision 4082)
@@ -8,4 +8,5 @@
 
 /* Begin PBXBuildFile section */
+		08582340161D9AAE00117F44 /* PI-X.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 08A8CC731616142D00825DA7 /* PI-X.framework */; };
 		088CC8E4149A494B00210C77 /* pimsghandler.h in Headers */ = {isa = PBXBuildFile; fileRef = 6D526C020662462C009E5976 /* pimsghandler.h */; };
 		088CC8E5149A494B00210C77 /* PI_PrefixQuartz.h in Headers */ = {isa = PBXBuildFile; fileRef = 32BAE0B70371A74B00C91783 /* PI_PrefixQuartz.h */; };
@@ -103,12 +104,11 @@
 		088CC97A149A494B00210C77 /* pit0.cc in Sources */ = {isa = PBXBuildFile; fileRef = 6DEA07E50C8861E90016C028 /* pit0.cc */; };
 		088CC97C149A494B00210C77 /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 08FB77AAFE841565C02AAC07 /* Carbon.framework */; };
-		088CC991149A494B00210C77 /* PI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI.framework */; };
-		088CC992149A494C00210C77 /* PI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI.framework */; };
-		088CC993149A494C00210C77 /* PI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI.framework */; };
-		088CC994149A494C00210C77 /* PI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI.framework */; };
-		088CC995149A494C00210C77 /* PI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI.framework */; };
+		088CC991149A494B00210C77 /* PI-Quartz.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI-Quartz.framework */; };
+		088CC992149A494C00210C77 /* PI-Quartz.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI-Quartz.framework */; };
+		088CC993149A494C00210C77 /* PI-Quartz.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI-Quartz.framework */; };
+		088CC994149A494C00210C77 /* PI-Quartz.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI-Quartz.framework */; };
+		088CC995149A494C00210C77 /* PI-Quartz.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI-Quartz.framework */; };
 		08A8CA3E1615E71800825DA7 /* xp1.cc in Sources */ = {isa = PBXBuildFile; fileRef = 6D6F14740D6463FA00583608 /* xp1.cc */; };
 		08A8CA401615E71800825DA7 /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 08FB77AAFE841565C02AAC07 /* Carbon.framework */; };
-		08A8CA411615E71800825DA7 /* PI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 088CC945149A494B00210C77 /* PI.framework */; };
 		08A8CAB21615E80600825DA7 /* lut.h in Headers */ = {isa = PBXBuildFile; fileRef = 08A8CA611615E80600825DA7 /* lut.h */; };
 		08A8CAB31615E80600825DA7 /* parradapter.h in Headers */ = {isa = PBXBuildFile; fileRef = 08A8CA621615E80600825DA7 /* parradapter.h */; };
@@ -342,5 +342,5 @@
 /* Begin PBXFileReference section */
 		088CC944149A494B00210C77 /* Info-PI__Upgraded_.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "Info-PI__Upgraded_.plist"; sourceTree = "<group>"; };
-		088CC945149A494B00210C77 /* PI.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = PI.framework; sourceTree = BUILT_PRODUCTS_DIR; };
+		088CC945149A494B00210C77 /* PI-Quartz.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = "PI-Quartz.framework"; sourceTree = BUILT_PRODUCTS_DIR; };
 		088CC953149A494B00210C77 /* Info-PIAQTest__Upgraded_.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "Info-PIAQTest__Upgraded_.plist"; sourceTree = "<group>"; };
 		088CC954149A494B00210C77 /* PIAQTest.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = PIAQTest.app; sourceTree = BUILT_PRODUCTS_DIR; };
@@ -439,5 +439,5 @@
 		08A8CAB11615E80600825DA7 /* xdispim.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; name = xdispim.h; path = ../xdispim.h; sourceTree = SOURCE_ROOT; };
 		08A8CB031615E81B00825DA7 /* xdispim.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; name = xdispim.c; path = ../xdispim.c; sourceTree = SOURCE_ROOT; };
-		08A8CC731616142D00825DA7 /* PI.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = PI.framework; sourceTree = BUILT_PRODUCTS_DIR; };
+		08A8CC731616142D00825DA7 /* PI-X.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = "PI-X.framework"; sourceTree = BUILT_PRODUCTS_DIR; };
 		08A8CC751616142D00825DA7 /* Info-PI__Upgraded_ copy.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "Info-PI__Upgraded_ copy.plist"; sourceTree = "<group>"; };
 		08A8CD26161C686100825DA7 /* pexceptions.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; name = pexceptions.h; path = ../../../SophyaLib/BaseTools/pexceptions.h; sourceTree = SOURCE_ROOT; };
@@ -569,5 +569,5 @@
 			files = (
 				088CC94C149A494B00210C77 /* Carbon.framework in Frameworks */,
-				088CC991149A494B00210C77 /* PI.framework in Frameworks */,
+				088CC991149A494B00210C77 /* PI-Quartz.framework in Frameworks */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -578,5 +578,5 @@
 			files = (
 				088CC95C149A494B00210C77 /* Carbon.framework in Frameworks */,
-				088CC992149A494C00210C77 /* PI.framework in Frameworks */,
+				088CC992149A494C00210C77 /* PI-Quartz.framework in Frameworks */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -587,5 +587,5 @@
 			files = (
 				088CC96C149A494B00210C77 /* Carbon.framework in Frameworks */,
-				088CC993149A494C00210C77 /* PI.framework in Frameworks */,
+				088CC993149A494C00210C77 /* PI-Quartz.framework in Frameworks */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -596,5 +596,5 @@
 			files = (
 				088CC97C149A494B00210C77 /* Carbon.framework in Frameworks */,
-				088CC994149A494C00210C77 /* PI.framework in Frameworks */,
+				088CC994149A494C00210C77 /* PI-Quartz.framework in Frameworks */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -604,5 +604,5 @@
 			buildActionMask = 2147483647;
 			files = (
-				088CC995149A494C00210C77 /* PI.framework in Frameworks */,
+				088CC995149A494C00210C77 /* PI-Quartz.framework in Frameworks */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -613,5 +613,5 @@
 			files = (
 				08A8CA401615E71800825DA7 /* Carbon.framework in Frameworks */,
-				08A8CA411615E71800825DA7 /* PI.framework in Frameworks */,
+				08582340161D9AAE00117F44 /* PI-X.framework in Frameworks */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -632,5 +632,5 @@
 			isa = PBXGroup;
 			children = (
-				088CC945149A494B00210C77 /* PI.framework */,
+				088CC945149A494B00210C77 /* PI-Quartz.framework */,
 				088CC954149A494B00210C77 /* PIAQTest.app */,
 				088CC964149A494B00210C77 /* XP0.app */,
@@ -639,5 +639,5 @@
 				088CC98F149A494B00210C77 /* BaoAdc.app */,
 				08A8CA471615E71800825DA7 /* XP1.app */,
-				08A8CC731616142D00825DA7 /* PI.framework */,
+				08A8CC731616142D00825DA7 /* PI-X.framework */,
 			);
 			name = Products;
@@ -1250,5 +1250,5 @@
 			productInstallPath = /Users/brunomansoux/Programmes/PI4Mac/PI/build;
 			productName = PI;
-			productReference = 088CC945149A494B00210C77 /* PI.framework */;
+			productReference = 088CC945149A494B00210C77 /* PI-Quartz.framework */;
 			productType = "com.apple.product-type.framework";
 		};
@@ -1387,5 +1387,5 @@
 			productInstallPath = /Users/brunomansoux/Programmes/PI4Mac/PI/build;
 			productName = PI;
-			productReference = 08A8CC731616142D00825DA7 /* PI.framework */;
+			productReference = 08A8CC731616142D00825DA7 /* PI-X.framework */;
 			productType = "com.apple.product-type.framework";
 		};
@@ -1715,5 +1715,5 @@
 				OTHER_LDFLAGS = "";
 				PREBINDING = NO;
-				PRODUCT_NAME = PI;
+				PRODUCT_NAME = "PI-Quartz";
 				SDKROOT = macosx;
 				SECTORDER_FLAGS = "";
@@ -1749,5 +1749,5 @@
 				OTHER_LDFLAGS = "";
 				PREBINDING = NO;
-				PRODUCT_NAME = PI;
+				PRODUCT_NAME = "PI-Quartz";
 				SDKROOT = macosx;
 				SECTORDER_FLAGS = "";
@@ -1781,5 +1781,5 @@
 				OTHER_LDFLAGS = "";
 				PREBINDING = NO;
-				PRODUCT_NAME = PI;
+				PRODUCT_NAME = "PI-Quartz";
 				SDKROOT = macosx;
 				SECTORDER_FLAGS = "";
@@ -2426,5 +2426,5 @@
 				);
 				PREBINDING = NO;
-				PRODUCT_NAME = PI;
+				PRODUCT_NAME = "PI-X";
 				SDKROOT = macosx;
 				SECTORDER_FLAGS = "";
@@ -2465,5 +2465,5 @@
 				OTHER_LDFLAGS = "";
 				PREBINDING = NO;
-				PRODUCT_NAME = PI;
+				PRODUCT_NAME = "PI-X";
 				SDKROOT = macosx;
 				SECTORDER_FLAGS = "";
@@ -2498,5 +2498,5 @@
 				OTHER_LDFLAGS = "";
 				PREBINDING = NO;
-				PRODUCT_NAME = PI;
+				PRODUCT_NAME = "PI-X";
 				SDKROOT = macosx;
 				SECTORDER_FLAGS = "";