Index: /trunk/SophyaPI/PI/Quartz/QuartzAppTest.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/QuartzAppTest.cpp	(revision 4085)
+++ /trunk/SophyaPI/PI/Quartz/QuartzAppTest.cpp	(revision 4086)
@@ -124,5 +124,5 @@
     vector<int> points;
 
-    printf("main debut\n");
+    printf("main debut---\n");
 
     mainApp = new QuartzApp();
Index: /trunk/SophyaPI/PI/Quartz/Test/Quartz2DBasics/Quartz2DBasics.carbon/Info.plist
===================================================================
--- /trunk/SophyaPI/PI/Quartz/Test/Quartz2DBasics/Quartz2DBasics.carbon/Info.plist	(revision 4085)
+++ /trunk/SophyaPI/PI/Quartz/Test/Quartz2DBasics/Quartz2DBasics.carbon/Info.plist	(revision 4086)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
Index: /trunk/SophyaPI/PI/Quartz/Test/Quartz2DBasics/Quartz2DBasics.cocoa/Quartz2DBasics.cocoa.xcodeproj/project.pbxproj
===================================================================
--- /trunk/SophyaPI/PI/Quartz/Test/Quartz2DBasics/Quartz2DBasics.cocoa/Quartz2DBasics.cocoa.xcodeproj/project.pbxproj	(revision 4085)
+++ /trunk/SophyaPI/PI/Quartz/Test/Quartz2DBasics/Quartz2DBasics.cocoa/Quartz2DBasics.cocoa.xcodeproj/project.pbxproj	(revision 4086)
@@ -4,5 +4,5 @@
 	classes = {
 	};
-	objectVersion = 42;
+	objectVersion = 46;
 	objects = {
 
@@ -17,21 +17,4 @@
 		8D11072F0486CEB800E47090 /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */; };
 /* End PBXBuildFile section */
-
-/* Begin PBXBuildStyle section */
-		2D00B68C0A4856F8006A99DB /* Development */ = {
-			isa = PBXBuildStyle;
-			buildSettings = {
-				COPY_PHASE_STRIP = NO;
-			};
-			name = Development;
-		};
-		2D00B68D0A4856F8006A99DB /* Deployment */ = {
-			isa = PBXBuildStyle;
-			buildSettings = {
-				COPY_PHASE_STRIP = YES;
-			};
-			name = Deployment;
-		};
-/* End PBXBuildStyle section */
 
 /* Begin PBXFileReference section */
@@ -162,14 +145,17 @@
 		29B97313FDCFA39411CA2CEA /* Project object */ = {
 			isa = PBXProject;
+			attributes = {
+				LastUpgradeCheck = 0460;
+			};
 			buildConfigurationList = 2D4F4E8A08E0C8B9002C8F59 /* Build configuration list for PBXProject "Quartz2DBasics.cocoa" */;
-			buildSettings = {
-			};
-			buildStyles = (
-				2D00B68C0A4856F8006A99DB /* Development */,
-				2D00B68D0A4856F8006A99DB /* Deployment */,
-			);
+			compatibilityVersion = "Xcode 3.2";
+			developmentRegion = English;
 			hasScannedForEncodings = 1;
+			knownRegions = (
+				en,
+			);
 			mainGroup = 29B97314FDCFA39411CA2CEA /* BasicDrawing.cocoa */;
 			projectDirPath = "";
+			projectRoot = "";
 			targets = (
 				8D1107260486CEB800E47090 /* Quartz2DBasics.Cocoa */,
@@ -228,7 +214,7 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = NO;
 				GCC_DYNAMIC_NO_PIC = NO;
-				GCC_ENABLE_FIX_AND_CONTINUE = YES;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
@@ -237,6 +223,5 @@
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
-				MACOSX_DEPLOYMENT_TARGET = 10.4;
-				PREBINDING = NO;
+				MACOSX_DEPLOYMENT_TARGET = 10.8;
 				PRODUCT_NAME = Quartz2DBasics.Cocoa;
 				WRAPPER_EXTENSION = app;
@@ -248,10 +233,7 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = (
-					ppc,
-					i386,
-				);
+				ARCHS = "$(ARCHS_STANDARD_32_64_BIT)";
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = YES;
-				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
@@ -259,6 +241,5 @@
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
-				MACOSX_DEPLOYMENT_TARGET = 10.4;
-				PREBINDING = NO;
+				MACOSX_DEPLOYMENT_TARGET = 10.8;
 				PRODUCT_NAME = Quartz2DBasics.Cocoa;
 				WRAPPER_EXTENSION = app;
@@ -270,4 +251,5 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
+				COMBINE_HIDPI_IMAGES = YES;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
@@ -275,6 +257,5 @@
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
-				MACOSX_DEPLOYMENT_TARGET = 10.4;
-				PREBINDING = NO;
+				MACOSX_DEPLOYMENT_TARGET = 10.8;
 				PRODUCT_NAME = Quartz2DBasics.Cocoa;
 				WRAPPER_EXTENSION = app;
@@ -286,5 +267,5 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				SDKROOT = /Developer/SDKs/MacOSX10.4u.sdk;
+				SDKROOT = "$(DEVELOPER_SDK_DIR)/MacOSX10.4u.sdk";
 			};
 			name = Development;
@@ -293,5 +274,5 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				SDKROOT = /Developer/SDKs/MacOSX10.4u.sdk;
+				SDKROOT = "$(DEVELOPER_SDK_DIR)/MacOSX10.4u.sdk";
 			};
 			name = Deployment;
@@ -300,5 +281,5 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				SDKROOT = /Developer/SDKs/MacOSX10.4u.sdk;
+				SDKROOT = "$(DEVELOPER_SDK_DIR)/MacOSX10.4u.sdk";
 			};
 			name = Default;
Index: /trunk/SophyaPI/PI/Quartz/pibwdgquartz.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/pibwdgquartz.cpp	(revision 4085)
+++ /trunk/SophyaPI/PI/Quartz/pibwdgquartz.cpp	(revision 4086)
@@ -19,5 +19,5 @@
 	HIViewRef rootView;
 	HIViewRef contentView;
-	OSStatus err;
+	OSStatus err = 0;
 	fName = nom;
 	
@@ -25,5 +25,5 @@
 	err = HIViewGetBounds (rootView, &localHIRect);
 
-	err = HIScrollViewCreate(kHIScrollViewOptionsVertScroll | kHIScrollViewOptionsHorizScroll, &wdgHIView);
+	err += HIScrollViewCreate(kHIScrollViewOptionsVertScroll | kHIScrollViewOptionsHorizScroll, &wdgHIView);
 	err += HIViewSetVisible (wdgHIView, true);	
 	
@@ -38,5 +38,5 @@
 	localHIRect.size.height = (float)sy;
 	
-	err = HIViewSetFrame (wdgHIView, &localHIRect);
+	err += HIViewSetFrame (wdgHIView, &localHIRect);
 	
 	err += HIViewGetFrame (wdgHIView, &localHIRect);
@@ -47,5 +47,6 @@
 											err,nom);
 
-	err = InstallEventHandler (GetControlEventTarget (wdgHIView),
+/*
+ err = InstallEventHandler (GetControlEventTarget (wdgHIView),
 								NewEventHandlerUPP (BaseWdgQuartzEventHandler),
 								GetEventTypeCount (basewdgSpec),
@@ -53,6 +54,14 @@
 								(void *) this,
 								NULL);
-
-	HIViewRender(wdgHIView);
+*/
+	printf("PIBaseWdgQuartz::PIBaseWdgQuartz HIView %d \n",contentView);
+	err += HIViewInstallEventHandler (contentView,
+                               NewEventHandlerUPP (BaseWdgQuartzEventHandler),
+                               GetEventTypeCount (basewdgSpec),
+                               (const EventTypeSpec*)&basewdgSpec,
+                               (void *) contentView,
+                               NULL);
+
+	HIViewRender(contentView);
 	mWGrC = new PIGraphicWin(this);
 }
@@ -119,5 +128,6 @@
 {
 //	return;
-	printf("---->> PIBaseWdgQuartz::Refresh -%s- context:%lx\n",fName,mWGrC->GetCGContext());
+
+ printf("---->> PIBaseWdgQuartz::Refresh -%s- context:%lx\n",fName,mWGrC->GetCGContext());
 	EventRef	rEvent;
 	OSStatus err;
@@ -133,8 +143,15 @@
 
 	printf(" cg : %lx ox : %g oy : %g width : %g height : %g \n",
-			mWGrC->GetCGContext(), hiRect.origin.x, hiRect.origin.y, hiRect.size.width, hiRect.size.height);
+
+           mWGrC->GetCGContext(), hiRect.origin.x, hiRect.origin.y, hiRect.size.width, hiRect.size.height);
 	// mWGrC->SetGCRect(hiRect.origin.x, hiRect.origin.y, hiRect.size.width, hiRect.size.height);	
 	// Draw(mWGrC, 0, 0, XSize(), YSize());
 
+    
+    if(wdgHIView){
+		HIViewSetNeedsDisplay(wdgHIView, true);
+        printf("---->> PIBaseWdgQuartz::Refresh -%s- \n",fName);
+    }
+
 	return;
 }
@@ -144,14 +161,28 @@
 {
 	printf("PIBaseWdgQuartz::ExposeProcess -%s- to x:%d y:%d dx:%d dy:%d\n",fName,x0,y0,dx,dy);
-	if (mWGrC->GetCGContext() == NULL) {
-		mWGrC->SetCGContext(cg);
-		printf("PIBaseWdgQuartz::ExposeProcess CHANGE context to %lx\n",cg);
-		mWGrC->SetCTM(CGContextGetCTM(cg));
-	}
-	printf("PIBaseWdgQuartz::ExposeProcess set CTM to %lx\n",cg);
-	CGContextSaveGState(mWGrC->GetCGContext());
+    if (1 == 1) {
+        
+    	if (mWGrC->GetCGContext() == NULL) {
+            mWGrC->SetCGContext(cg);
+            printf("PIBaseWdgQuartz::ExposeProcess CHANGE context to %lx\n",cg);
+            mWGrC->SetCTM(CGContextGetCTM(cg));
+        } else {
+            
+            // Flip the coordinates by translating and scaling. This produces a
+            // coordinate system that matches the Quartz default coordinate system
+            // with the origin in the lower-left corner with the y axis pointing up.
+            HIRect      bounds;
+            HIViewGetBounds ((HIViewRef) wdgHIView, &bounds);
+            
+            //	CGContextTranslateCTM(cg, 0, bounds.size.height);
+            //	CGContextScaleCTM(cg, 1.0, -1.0)
+        }
+    }
+    
+    printf("PIBaseWdgQuartz::ExposeProcess set CTM to %lx\n",cg);
+	CGContextSaveGState(cg);
 	Draw(mWGrC, x0, y0, dx, dy);
 //	CGContextRestoreGState (cg);
-	CGContextRestoreGState (mWGrC->GetCGContext());
+	CGContextRestoreGState (cg);
 
 	return;
@@ -169,6 +200,6 @@
 	PIGetEventName(event);
 
-	PIBaseWdgQuartz* wdg = (PIBaseWdgQuartz*) userData;
-	printf("\n BaseWdgQuartzEventHandler -%s- (%d) : ", wdg->fName,counterDraw);
+//	PIBaseWdgQuartz* wdg = (PIBaseWdgQuartz*) userData;
+	printf("\n BaseWdgQuartzEventHandler  (%d) : ",counterDraw);
 	printf("\n");
 
@@ -176,9 +207,31 @@
 	WindowRef           window;
     Rect                bounds;
-	if (!wdg)
+	if (!userData)
         return status;
 	
-    status = GetEventParameter (event, kEventParamCGContextRef, typeCGContextRef, NULL, sizeof (CGContextRef), NULL, &cg);
-
+    status = GetEventParameter (event, kEventParamCGContextRef,
+                                typeCGContextRef, NULL,
+                                sizeof (CGContextRef),
+                                NULL,
+                                &cg);
+
+    printf("BaseWdgQuartzEventHandler GET EVENT CLASS:%lx   KIND %d status:%d\n",(long)GetEventClass(event),(int)GetEventKind(event), status);
+
+/*  copy form .h file
+ 
+ static const EventTypeSpec basewdgSpec[] = {
+        { kEventClassWindow, kEventWindowResizeCompleted},
+        { kEventClassWindow, kEventWindowDrawContent},
+        { kEventClassHIObject, kEventHIObjectConstruct },
+        { kEventClassHIObject, kEventHIObjectInitialize },
+        { kEventClassHIObject, kEventHIObjectDestruct },
+        { kEventClassControl, kEventControlClick},
+        { kEventClassControl, kEventControlBoundsChanged},
+        { kEventClassControl, kEventControlOwningWindowChanged },
+        { kEventClassControl, kEventControlInitialize },
+        { kEventClassControl, kEventControlGetPartRegion },
+        { kEventClassControl, kEventControlHitTest }
+    };
+*/
 	switch(GetEventClass(event))
     {
@@ -193,5 +246,6 @@
             break;
             
-*/        case kEventClassWindow: {
+*/
+        case kEventClassWindow: {
 			
             switch (GetEventKind(event))
@@ -201,6 +255,6 @@
 					GetEventParameter( event, kEventParamCurrentBounds, typeQDRectangle, NULL, sizeof(Rect), NULL, &bounds );
 					
-//					wdg->adaptResize(bounds.left, bounds.top, bounds.right - bounds.left, bounds.bottom - bounds.top);
-//					wdg->requestRedraw();
+                    //					wdg->adaptResize(bounds.left, bounds.top, bounds.right - bounds.left, bounds.bottom - bounds.top);
+                    //					wdg->requestRedraw();
 					status = noErr;
 					break;
@@ -209,5 +263,5 @@
 					InvalWindowRect(window, GetWindowPortBounds(window, &bounds));
 					GetWindowBounds(window, kWindowContentRgn, &bounds);
-//					wdg->adaptResize(bounds.left, bounds.top, bounds.right - bounds.left, bounds.bottom - bounds.top);
+                    //					wdg->adaptResize(bounds.left, bounds.top, bounds.right - bounds.left, bounds.bottom - bounds.top);
 					status = noErr;
 					break;
@@ -218,5 +272,14 @@
 					break;
 					
-				default: 
+				default:
+                    HIViewRef view = (HIViewRef) userData;
+                    HIRect hiRect;
+                    HIViewGetFrame(view, &hiRect);
+                    // Pour le moment on rafraichit toute la vue
+                    int ox = (int)(hiRect.origin.x);
+                    int oy = (int)(hiRect.origin.x);
+                    int dx = (int)(hiRect.size.width); 
+                    int dy = (int)(hiRect.size.height);
+///                    wdg->eXposeProcess(cg, 0 , 0, dx, dy);
 					break;
 			}
@@ -224,30 +287,37 @@
 		}
 		case kEventClassControl : {			
-			case kEventControlDraw: {
-				// wdg->SetQuartzCGContext(cg);
-				HIViewRef view = wdg->GetHIViewRef();
-				HIRect hiRect;
-				HIViewGetFrame(view, &hiRect);
-				// Pour le moment on rafraichit toute la vue
-				int ox = (int)(hiRect.origin.x);
-				int oy = (int)(hiRect.origin.x);
-				int dx = (int)(hiRect.size.width); 
-				int dy = (int)(hiRect.size.height);
-				printf("-->> PIbWdgquartz::BaseWdgQuartzEventHandler -%s- cg : %lx [%d %d] Frame [%d, %d] \n", wdg->fName,(unsigned long)cg, ox, oy, dx, dy);
-			
-				HIRect      bounds;
-				HIViewGetBounds ((HIViewRef) userData, &bounds);
-				printf("-->> PIbWdgquartz::BaseWdgQuartzEventHandler BOUNDS [%f %f] SIZE [%f, %f] \n",hiRect.origin.x,hiRect.origin.y,hiRect.size.width,hiRect.size.height);
-				//		err = HIViewSetFrame (wdgHIView, &localHIRect);
-				
-				wdg->eXposeProcess(cg, 0 , 0, dx, dy);
-			}
+            switch (GetEventKind(event))
+			{
+                case kEventControlDraw: {
+                    // wdg->SetQuartzCGContext(cg);
+                    HIViewRef view = (HIViewRef) userData;
+                    HIRect hiRect;
+                    HIViewGetFrame(view, &hiRect);
+                    // Pour le moment on rafraichit toute la vue
+                    int ox = (int)(hiRect.origin.x);
+                    int oy = (int)(hiRect.origin.x);
+                    int dx = (int)(hiRect.size.width);
+                    int dy = (int)(hiRect.size.height);
+                    printf("-->> PIbWdgquartz::BaseWdgQuartzEventHandler cg : %lx [%d %d] Frame [%d, %d] \n", (unsigned long)cg, ox, oy, dx, dy);
+                    
+                    HIRect      bounds;
+                    HIViewGetBounds ((HIViewRef) userData, &bounds);
+                    printf("-->> PIbWdgquartz::BaseWdgQuartzEventHandler BOUNDS [%f %f] SIZE [%f, %f] \n",hiRect.origin.x,hiRect.origin.y,hiRect.size.width,hiRect.size.height);
+                    //		err = HIViewSetFrame (wdgHIView, &localHIRect);
+                    
+///                    wdg->eXposeProcess(cg, 0 , 0, dx, dy);
+                }
+                default: {
+                    printf("unknown: %g\n",GetEventClass(event));
+                    break;
+                }
+                    break;
+            }
 			break;
-		}
-			break;	
+        }
         default:
             printf("unknown: %g\n",GetEventClass(event));
             break;
-    }
+        }
 	
 	/////
Index: /trunk/SophyaPI/PI/Quartz/pibwdgquartz.h
===================================================================
--- /trunk/SophyaPI/PI/Quartz/pibwdgquartz.h	(revision 4085)
+++ /trunk/SophyaPI/PI/Quartz/pibwdgquartz.h	(revision 4086)
@@ -16,5 +16,5 @@
 #include "pigraphps.h"
 
-/*
+
 static const EventTypeSpec basewdgSpec[] = {
  											 { kEventClassWindow, kEventWindowClose},
@@ -22,4 +22,5 @@
  											 { kEventClassWindow, kEventWindowDrawContent},
 											 { kEventClassWindow, kEventWindowBoundsChanged },
+                                             { kEventClassWindow, kEventWindowBoundsChanging },
 											 { kEventClassHIObject, kEventHIObjectConstruct },
 											 { kEventClassHIObject, kEventHIObjectInitialize },
@@ -34,8 +35,9 @@
 											 };
 
+
+
+/*
+ static const EventTypeSpec basewdgSpec[] = {{ kEventClassControl, kEventControlDraw},{kEventWindowBoundsChanged,kEventWindowResizeCompleted}};
 */
-
-static const EventTypeSpec basewdgSpec[] = {{ kEventClassControl, kEventControlDraw},{kEventWindowBoundsChanged,kEventWindowResizeCompleted}};
-
 
 class PIBaseWdgQuartz : public PIBaseWdgGen
Index: /trunk/SophyaPI/PI/piapplx.cc
===================================================================
--- /trunk/SophyaPI/PI/piapplx.cc	(revision 4085)
+++ /trunk/SophyaPI/PI/piapplx.cc	(revision 4086)
@@ -127,5 +127,5 @@
 msy+=5;
 topwdg->SetSize(sx, sy+msy);
-//DBG printf("PIApplicationX-DBG:: Size=%d %d \n", topwdg->XSize(), topwdg->YSize());
+printf("PIApplicationX-DBG:: Size=%d %d \n", topwdg->XSize(), topwdg->YSize());
 
 intcont = new PIContainerX((PIMsgHandler *)this, topwdg, "MBCont", 
Index: /trunk/SophyaPI/PI/pibwdggen.cc
===================================================================
--- /trunk/SophyaPI/PI/pibwdggen.cc	(revision 4085)
+++ /trunk/SophyaPI/PI/pibwdggen.cc	(revision 4086)
@@ -612,5 +612,5 @@
 {
   if (mDrwList.size() < 1)  return -1;
-  double xmin,ymin, xmax, ymax;
+//  double xmin,ymin, xmax, ymax;
   int drx0, dry0, drdx, drdy;
   int ddrx0, ddry0, ddrdx, ddrdy;
Index: /trunk/SophyaPI/PI/picons.cc
===================================================================
--- /trunk/SophyaPI/PI/picons.cc	(revision 4085)
+++ /trunk/SophyaPI/PI/picons.cc	(revision 4086)
@@ -107,5 +107,6 @@
 PIBaseWdg(par, nom, ((scb)?sx-Scb_Width:sx), sy, px, py) 
 {
-mNL = (nl > 10) ? nl : 10;
+    printf("PIConsole::PIConsole sizeX:%d sizeY:%d\n",XSize(), YSize());
+    mNL = (nl > 10) ? nl : 10;
 mNC = (nc > 30) ? nc : 30;
 mText = new char[mNL*mNC];
@@ -146,5 +147,6 @@
 SelectFont();
 SelFgBgCol();
-mCurL = mNL-mWSzL-1; 
+//mCurL = mNL-mWSzL-1;
+mCurL = 0;
 mCurC = 0;
 
@@ -274,5 +276,6 @@
 void PIConsole::SelectFont(PIFontSize sz)
 {
-int asc, desc;
+    printf("+++PIConsole::SelectFont %d %d\n",XSize(),YSize());
+    int asc, desc;
 mWGrC->SelFont(sz);
 mFTaille = sz;
Index: /trunk/SophyaPI/PI/pidrwtools.cc
===================================================================
--- /trunk/SophyaPI/PI/pidrwtools.cc	(revision 4085)
+++ /trunk/SophyaPI/PI/pidrwtools.cc	(revision 4086)
@@ -821,5 +821,5 @@
 void PIDrwOptionStringWindow::Process(PIMessage msg, PIMsgHandler* sender, void* data)
 {
-  PIMessage mod = ModMsg(msg);
+//  PIMessage mod = ModMsg(msg);
   msg = UserMsg(msg);
   switch (msg) {
@@ -1455,5 +1455,5 @@
   int aid = mBWdg->GetActiveDrawerId();
   PIDrawer* actdrw = mBWdg->GetActiveDrawer();
-  PIMessage mod = ModMsg(msg);
+//  PIMessage mod = ModMsg(msg);
   msg = UserMsg(msg);
   switch (msg) {
Index: /trunk/SophyaPI/PI/pigraphps.cc
===================================================================
--- /trunk/SophyaPI/PI/pigraphps.cc	(revision 4085)
+++ /trunk/SophyaPI/PI/pigraphps.cc	(revision 4086)
@@ -389,5 +389,5 @@
 
 
-static int fntsz[5] = {8,10,12,14,16};
+//static int fntsz[5] = {8,10,12,14,16};
 
 /* --Methode-- */
Index: /trunk/SophyaPI/PI/psfile.cc
===================================================================
--- /trunk/SophyaPI/PI/psfile.cc	(revision 4085)
+++ /trunk/SophyaPI/PI/psfile.cc	(revision 4086)
@@ -899,5 +899,5 @@
   int nce = 0;
   int ls = strlen(s);
-  int i,j,k;
+  int j;
   for(int k=0; k<ls; k++) 
     if ( (s[k] == '(') || (s[k] == ')') || (s[k] == '\\') ) nce++;